import { ChangeDetectorRef, EventEmitter, OnInit } from '@angular/core';
import { TransactionLineCharacteristicChoice } from '@colijnit/transactionapi/build/model/transactionLineCharacteristicChoice.bo';
import { DialogBaseComponent } from '../../dialog-base.component';
export declare class CharacteristicAnswerComponent extends DialogBaseComponent implements OnInit {
    private _changeDetector;
    title: string;
    set choices(value: TransactionLineCharacteristicChoice[]);
    get choices(): TransactionLineCharacteristicChoice[];
    value: string;
    readonly okClick: EventEmitter<string>;
    showClass(): boolean;
    viewModels: {
        value: string;
        checked: boolean;
    }[];
    private _choices;
    constructor(_changeDetector: ChangeDetectorRef);
    ngOnInit(): void;
    handleChecked(choice: string): void;
    handleOkClick(): void;
    onKeyDown(event: KeyboardEvent): void;
    private _prepareViewModels;
}
